'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var cid = require('ipfs-message-port-protocol/cid');

class FilesService {
  constructor(ipfs) {
    this.ipfs = ipfs;
  }
  async stat(input) {
    const stat = await this.ipfs.files.stat(input.path, input);
    const transfer = new Set();
    return {
      stat: {
        ...stat,
        cid: cid.encodeCID(stat.cid, transfer)
      },
      transfer
    };
  }
}

exports.FilesService = FilesService;
