'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var dag = require('./dag.js');
var core = require('./core.js');
var files = require('./files.js');
var block = require('./block.js');

class IPFSService {
  constructor(ipfs) {
    this.dag = new dag.DAGService(ipfs);
    this.core = new core.CoreService(ipfs);
    this.files = new files.FilesService(ipfs);
    this.block = new block.BlockService(ipfs);
  }
}

exports.IPFSService = IPFSService;
